MK-ORIGTARGZ.FR(1)

NOM
mk-origtargz - Renommer l’archive amont, en modifiant éventuellement la compression et en supprimant les fichiers non désirés

SYNOPSIS

mk-origtargz [options] truc-1.0.tar.gz
mk-origtargz --help

DESCRIPTION
mk-origtargz renomme le fichier donné pour correspondre à ce qui est attendu par dpkg-buildpackage, à partir du nom de paquet source et de la version dans debian/changelog. Il peut convertir du ZIP en tar, et éventuellement modifier la compression et supprimer les fichiers conformément à Files-Excluded et Files-Excluded-composante dans debian/copyright. Le fichier résultant est placé dans debian/../... (Dans debian/copyright, les alinéas Files-Excluded et Files-Excluded-composante font partie du premier paragraphe et il y a une ligne vide avant les paragraphes suivants qui contiennent Files et les autres alinéas. L'alinéa Files-Included devrait être utilisé pour ignorer une partie des sous-répertoires indiqué par les alinéas Files-Excluded. Voir uscan(1) "EXEMPLES DE FICHIER DE COPYRIGHT".)

Le type d'archive de zip est identifié par la commande "file --dereference --brief --mime-type". Ainsi, toutes les archives de type zip telles que jar sont traitées de la même manière. Les archives xpi sont détectées par leur extension et traitées correctement avec la commande xpi-unpack.

Si le nom de paquet est donné à l’aide de l’option --package, aucun renseignement n’est lu dans debian/ et le fichier résultant est placé dans le répertoire actuel.

mk-origtargz est normalement appelé par uscan, qui obtient d’abord l’archive amont.

OPTIONS

  Options de métadonnées
Les options suivantes étendent ou remplacent les renseignements pris dans debian/.

--package paquet
    Utiliser paquet comme nom de paquet source Debian et ne pas nécessiter ni utiliser de répertoire debian/. Cette option ne peut être utilisée qu’avec --version.

    Par défaut, le nom de paquet est pris dans la première entrée de debian/changelog.

-v, --version version
    Utiliser version comme version du paquet. Cela doit être la partie de version amont d’une version Debian complète, c’est-à-dire sans révision Debian ni epoch.

    Par défaut, la partie amont de la version est prise dans la première entrée de debian/changelog.

--exclude-file joker
    Supprimer les fichiers correspondant au joker donné de l’archive amont, comme s’il était indiqué dans Files-Excluded.

--copyright-file fichier
    Supprimer les fichiers correspondant aux motifs de fichier qui devrait être au format d’un fichier copyright Debian (Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/ pour être exact). Les erreurs d’analyse de ce fichier sont ignorées silencieusement, comme c’est le cas avec debian/copyright.

    Les motifs sans correspondance émettront un avertissement. L'utilisateur peut ainsi vérifier si c'est exact. Si plusieurs motifs correspondent à un fichier, seul le dernier comptera comme correspondant.

    Les options --exclude-file et --copyright-file modifient toutes les deux la liste des motifs trouvés dans debian/copyright. Si vous ne voulez pas lire ce fichier, vous devez utiliser --package.

--username mode_de_signature
    Définir mode_de_signature :

    0 pour l'absence de signature
    1 pour une signature normale séparée
    2 pour une signature sur l'archive décompressée
    3 pour une auto-signature
--signature-file fichier_de_signature
    Utiliser fichier_de_signature comme fichier de signature correspondant au paquet source Debian pour créer un fichier de signature compatible avec dpkg-source (après Stretch). (Optionnel).

  Options d’action
Ces options indiquent exactement ce que mk-origtargz devrait faire. Les options --copy, --rename et --symlink s’excluent mutuellement.

--symlink
    Faire du fichier résultant un lien symbolique vers le fichier d’origine donné (c'est le comportement par défaut).

    Si le fichier doit être modifié (parce qu’il s’agit d’un fichier ZIP ou xpi ou zst, à cause de --repack ou à cause de Files-Excluded), cette option se comporte comme --copy.

--copy
    Faire du fichier résultant une copie du fichier d’origine (sauf bien sûr s’il doit être modifié).

--rename
    Renommer le fichier d’origine.

    Si le fichier doit être modifié (parce qu’il s’agit d’un fichier zip, xpi ou zst, à cause de --repack ou à cause de Files-Excluded), cela implique la suppression du fichier d’origine à la fin.

--repack
    Si le fichier donné n’est pas compressé au format voulu (consultez --compression), le recompresser.

-S, --repack-suffix suffixe
    Si le fichier doit être modifié, à cause de Files-Excluded, ajouter suffixe à la version amont.

--force-repack
    Recompresser même si le fichier donné est compressé au format voulu et qu'aucun fichier n'a été effacé.

-c, --component nom_composante
    Utiliser nom_composante comme nom de composante pour l'archive amont secondaire. Définir nom_composante comme nom de composante. Cela est seulement utilisé pour l'archive amont secondaire du paquet source Debian. nom_paquet_version.orig-nom_composante.tar.gz est alors créé.

--compression [ gzip | bzip2 | lzma | xz | default ]
    La méthode par défaut est xz. Lorsque mk-origtargz est lancé dans un répertoire source debian dont le format est "1.0" ou non défini, la méthode devient gzip.

-C, --directory répertoire
    Placer le fichier résultant dans le répertoire donné.

--unzipopt options
    Ajouter des options supplémentaires à utiliser avec la commande unzip telles que -a, -aa et -b.

VOIR AUSSI
uscan(1), uupdate(1)

AUTEUR
mk-origtargz et cette page de manuel ont été écrits par Joachim Breitner <nomeata@debian.org>.

TRADUCTION
Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>, 2006

Thomas Huriaux <thomas.huriaux@gmail.com>, 2006

David Prévot <david@tilapin.org>, 2010-2013

Xavier Guimard <yadd@debian.org>, 2018-2021